Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x9
Class X9FieldElement

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x9.X9FieldElement

All Implemented Interfaces:
  DEREncodable

public class X9FieldElement
extends ASN1Encodable

class for processing an FieldElement as a DER object.

Constructor Summary
`X9FieldElement(boolean fP, java.math.BigInteger q, ASN1OctetString s)`
`X9FieldElement(ECFieldElement f)`

Method Summary
`ECFieldElement` | `getValue()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X9FieldElement

    public X9FieldElement(ECFieldElement f)

### X9FieldElement

    public X9FieldElement(boolean fP,
                          java.math.BigInteger q,
                          ASN1OctetString s)

Method Detail

### getValue

    public ECFieldElement getValue()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

        FieldElement ::= OCTET STRING

  1. if q is an odd prime then the field element is processed as an Integer and converted to an octet string according to x 9.62 4.3.1.
  2. if q is 2m then the bit string contained in the field element is converted into an octet string with the same ordering padded at the front if necessary.
  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD